Karia
ReferencesOpenapiEmployer

List employers

GET
/organisation/{orgId}/workspace/{workspaceId}/employer

List employers in the specified organisation and workspace, with optional search and pagination.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
search?string
page?number
Range1 <= value
Default1
limit?number
Range1 <= value <= 50
Default10

Response Body

Successful response

application/json
  1. response
items*array<>
pagination*
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/employer'
Example Response
{  "items": [    {      "id": -2147483648,      "businessId": "string",      "name": "string",      "tradingName": "string",      "industry": "string",      "status": "string",      "addressLine1": "string",      "addressLine2": "string",      "unitNumber": "string",      "streetNumber": "string",      "streetName": "string",      "suburb": "string",      "state": "string",      "postCode": "string",      "country": "string",      "fbtTreatmentType": "string",      "fbtCollection": "string",      "invoiceTerms": "string",      "preferredPaymentMethod": "string",      "companyWebsite": "string",      "description": "string",      "metadata": "string",      "createdAt": "string"    }  ],  "pagination": {    "total": 0,    "page": 0,    "limit": 0,    "totalPages": 0  }}